//
//  OffcnZYJFMDBHandler.m
//  OffcnIMSDKiOS
//
//  Created by vockey on 2019/4/9.
//  Copyright © 2019年 中公教育. All rights reserved.
//

#import "OffcnZYJFMDBHandler.h"

@interface OffcnZYJFMDBHandler()

@property (nonatomic,strong) ZYJZYJFMDatabaseQueue *chatDBDatabase;
@end
@implementation OffcnZYJFMDBHandler

static OffcnZYJFMDBHandler *FMDBHandler;
+ (OffcnZYJFMDBHandler *)sharedInstance {
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        FMDBHandler = [[self alloc] init];
        
    });
    return FMDBHandler;
}

- (instancetype)init {
    if (self = [super init]) {
    }
    return self;
}

#pragma mark - 聊天本地数据库
//创建聊天本地数据库
NS_INLINE ZYJZYJFMDatabaseQueue * getFMDBInstance(){
    NSString *path = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory,NSUserDomainMask,YES).firstObject;
    NSString *filePath = [path stringByAppendingPathComponent:@"ZYJFMDBChat.db"];
    ZYJZYJFMDatabaseQueue *database = [ZYJZYJFMDatabaseQueue databaseQueueWithPath:filePath];
    return database;
}
@end
